> For the complete documentation index, see [llms.txt](https://docs.validationcloud.io/staking/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.validationcloud.io/staking/ethereum/staking-api-reference/get-validators.md).

# Get Validators

## GET /v1/api/ethereum/{network}/validators

> Retrieves a list of validators established by the user.

```json
{"openapi":"3.0.3","info":{"title":"Validation Cloud Staking API","version":"1.0.0"},"servers":[{"url":"https://ethereum-staking.sprd.validationcloud.io"}],"security":[{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"Validator":{"type":"object","properties":{"created_at":{"type":"string","description":"The date and time when the validator was created."},"index":{"type":"integer","description":"The index of the validator."},"public_key":{"type":"string","description":"The public key of the validator."},"rewards":{"$ref":"#/components/schemas/Rewards"},"status":{"type":"string","description":"The status of the validator."},"withdrawal_address":{"type":"string","description":"The address where the rewards will be sent. Upon exiting, the initial deposit will also be withdrawn to this address."},"sender_address":{"type":"string","description":"The address of the signer."},"network":{"type":"string","enum":["mainnet","hoodi"],"description":"The network"},"is_ssv":{"type":"bool","description":"Whether this is a SSV validator or not."}}},"Rewards":{"properties":{"all":{"type":"integer","description":"The total amount of rewards earned by the validator."},"last_30_days":{"type":"integer","description":"The amount of rewards earned by the validator in the last 30 days."},"last_365_days":{"type":"integer","description":"The amount of rewards earned by the validator in the last 365 days."}},"type":"object"},"ErrorResponse":{"type":"object","properties":{"error":{"type":"string"}}}}},"paths":{"/v1/api/ethereum/{network}/validators":{"get":{"description":"Retrieves a list of validators established by the user.","parameters":[{"name":"network","in":"path","required":true,"schema":{"type":"string","default":"mainnet","enum":["mainnet","hoodi"]},"description":"The network"}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Validator"}}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"401":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"403":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"500":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}},"tags":["Get Validators"]}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.validationcloud.io/staking/ethereum/staking-api-reference/get-validators.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
